"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ora = require("ora");
const cognito_auth_1 = require("../util/cognito-auth");
async function alwaysaiUserLoginComponent(props) {
    const spinner = ora(`Log in ${props.alwaysaiUserEmail}`).start();
    try {
        const cognitoUser = await cognito_auth_1.authenticateUser(props.alwaysaiUserEmail, props.alwaysaiUserPassword);
        spinner.succeed();
        return cognitoUser;
    }
    catch (exception) {
        spinner.fail();
        throw exception;
    }
}
exports.alwaysaiUserLoginComponent = alwaysaiUserLoginComponent;
//# sourceMappingURL=alwaysai-user-login-component.js.map