"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const yes_cli_input_1 = require("../cli-inputs/yes-cli-input");
const target_hostname_cli_input_1 = require("../cli-inputs/target-hostname-cli-input");
const target_path_cli_input_1 = require("../cli-inputs/target-path-cli-input");
const target_config_file_1 = require("../util/target-config-file");
const app_deploy_component_1 = require("./app-deploy-component");
const constants_1 = require("../constants");
const leaf = alwayscli_1.createLeaf({
    name: app_deploy_component_1.appDeployComponent.name,
    options: {
        yes: yes_cli_input_1.yesCliInput,
        rm: alwayscli_1.createFlagInput({ description: 'Remove the target config file first' }),
        hostname: target_hostname_cli_input_1.targetHostnameCliInput,
        path: target_path_cli_input_1.targetPathCliInput,
    },
    async action(_, { yes, rm, hostname: targetHostname, path: targetPath }) {
        if (rm) {
            target_config_file_1.targetConfigFile.remove();
        }
        if (targetHostname && targetPath) {
            target_config_file_1.targetConfigFile.write({
                targetProtocol: 'ssh+docker:',
                targetHostname,
                targetPath,
                dockerImageId: constants_1.DOCKER_IMAGE_ID_INITIAL_VALUE,
            });
        }
        await app_deploy_component_1.appDeployComponent({
            yes,
        });
    },
});
const cli = alwayscli_1.createCli(leaf);
if (module === require.main) {
    alwayscli_1.runAndExit(cli, ...process.argv.slice(2));
}
//# sourceMappingURL=app-deploy-component.cli.js.map