"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const path_1 = require("path");
const build_docker_image_component_1 = require("./build-docker-image-component");
const js_spawner_1 = require("../spawner/js-spawner");
const leaf = alwayscli_1.createLeaf({
    name: path_1.basename(__filename),
    options: {
        rm: alwayscli_1.createFlagInput({ description: 'Run "docker system prune --all --force"' }),
    },
    async action(_, { rm }) {
        const targetHostSpawner = js_spawner_1.JsSpawner();
        if (rm) {
            await targetHostSpawner.run({
                exe: 'docker',
                args: ['system', 'prune', '--all', '--force'],
            });
        }
        await build_docker_image_component_1.buildDockerImageComponent({ targetHostSpawner });
    },
});
const cli = alwayscli_1.createCli(leaf);
if (module === require.main) {
    alwayscli_1.runAndExit(cli, ...process.argv.slice(2));
}
//# sourceMappingURL=build-docker-image-component.cli.js.map