"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const build_docker_image_1 = require("../util/build-docker-image");
const ora = require("ora");
async function buildDockerImageComponent(props) {
    const BUILD_DOCKER_IMAGE_MESSAGE = 'Build docker image';
    const FIFTEEN_SECONDS = 15 * 1000;
    const spinner = ora(BUILD_DOCKER_IMAGE_MESSAGE).start();
    const timeout = setTimeout(() => {
        spinner.text = `${BUILD_DOCKER_IMAGE_MESSAGE} (this may take several minutes)`;
    }, FIFTEEN_SECONDS);
    try {
        const dockerImageId = await build_docker_image_1.buildDockerImage(props.targetHostSpawner);
        spinner.succeed();
        return dockerImageId;
    }
    catch (exception) {
        spinner.fail();
        throw exception;
    }
    finally {
        clearTimeout(timeout);
    }
}
exports.buildDockerImageComponent = buildDockerImageComponent;
//# sourceMappingURL=build-docker-image-component.js.map