"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwaysai_user_prompted_login_component_1 = require("./alwaysai-user-prompted-login-component");
const cognito_auth_1 = require("../util/cognito-auth");
const alwayscli_1 = require("@alwaysai/alwayscli");
const echo_1 = require("../util/echo");
const logSymbols = require("log-symbols");
const YOU_MUST_BE_LOGGED_IN = 'You must be logged in to run this command.';
async function checkUserIsLoggedInComponent(props) {
    const { yes } = props;
    const cognitoUser = cognito_auth_1.getMaybeCurrentUser();
    if (!cognitoUser) {
        if (yes) {
            throw new alwayscli_1.TerseError(`${YOU_MUST_BE_LOGGED_IN} Please either re-run this command without the "yes" flag, or run "alwaysai user login" and try again.`);
        }
        else {
            echo_1.echo(`${logSymbols.warning} ${YOU_MUST_BE_LOGGED_IN}`);
            await alwaysai_user_prompted_login_component_1.alwaysaiUserPromptedLoginComponent();
        }
    }
}
exports.checkUserIsLoggedInComponent = checkUserIsLoggedInComponent;
//# sourceMappingURL=check-user-is-logged-in-component.js.map