"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const confirm_prompt_component_1 = require("./confirm-prompt-component");
async function confirmWriteFilePromptComponent(props) {
    const { fileName, description } = props;
    const prefix = description ? `${description}` : '';
    const quotedFileName = fileName ? `"${fileName}"` : '';
    const items = [prefix, quotedFileName].filter(item => Boolean(item));
    if (items.length === 0) {
        items.push('File');
    }
    return await confirm_prompt_component_1.confirmPromptComponent({
        message: `${items.join(' ')} not found. Do you want to create it now?`,
    });
}
exports.confirmWriteFilePromptComponent = confirmWriteFilePromptComponent;
//# sourceMappingURL=confirm-write-file-prompt-component.js.map