"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ora = require("ora");
const ssh_spawner_1 = require("../spawner/ssh-spawner");
async function createTargetDirectoryComponent(props) {
    const spinner = ora('Create target directory').start();
    try {
        const spawner = ssh_spawner_1.SshSpawner({
            targetHostname: props.targetHostname,
            targetPath: props.targetPath,
        });
        await spawner.mkdirp();
        spinner.succeed();
    }
    catch (exception) {
        spinner.fail();
        throw exception;
    }
}
exports.createTargetDirectoryComponent = createTargetDirectoryComponent;
//# sourceMappingURL=create-target-directory-component.js.map