"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const find_or_write_app_json_file_component_1 = require("./find-or-write-app-json-file-component");
const app_config_file_1 = require("../util/app-config-file");
const yes_cli_input_1 = require("../cli-inputs/yes-cli-input");
const leaf = alwayscli_1.createLeaf({
    name: find_or_write_app_json_file_component_1.findOrWriteAppJsonFileComponent.name,
    options: {
        yes: yes_cli_input_1.yesCliInput,
        rm: alwayscli_1.createFlagInput({ description: 'Remove the config file first' }),
    },
    async action(_, { yes, rm }) {
        if (rm) {
            app_config_file_1.appConfigFile.remove();
        }
        await find_or_write_app_json_file_component_1.findOrWriteAppJsonFileComponent({
            yes,
        });
    },
});
const cli = alwayscli_1.createCli(leaf);
if (module === require.main) {
    alwayscli_1.runAndExit(cli, ...process.argv.slice(2));
}
//# sourceMappingURL=find-or-write-app-json-file-component.cli.js.map