"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const yes_cli_input_1 = require("../cli-inputs/yes-cli-input");
const find_or_write_app_py_file_component_1 = require("./find-or-write-app-py-file-component");
const constants_1 = require("../constants");
const rimraf = require("rimraf");
const leaf = alwayscli_1.createLeaf({
    name: find_or_write_app_py_file_component_1.findOrWriteAppPyFileComponent.name,
    options: {
        yes: yes_cli_input_1.yesCliInput,
        rm: alwayscli_1.createFlagInput({ description: `Remove ${constants_1.APP_PY_FILE_NAME} first` }),
    },
    async action(_, { yes, rm }) {
        if (rm) {
            rimraf.sync(constants_1.APP_PY_FILE_NAME);
        }
        await find_or_write_app_py_file_component_1.findOrWriteAppPyFileComponent({
            yes,
        });
    },
});
const cli = alwayscli_1.createCli(leaf);
if (module === require.main) {
    alwayscli_1.runAndExit(cli, ...process.argv.slice(2));
}
//# sourceMappingURL=find-or-write-app-py-file-component.cli.js.map