"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const find_or_write_dockerfile_component_1 = require("./find-or-write-dockerfile-component");
const yes_cli_input_1 = require("../cli-inputs/yes-cli-input");
const constants_1 = require("../constants");
const rimraf = require("rimraf");
const path_1 = require("path");
const leaf = alwayscli_1.createLeaf({
    name: path_1.basename(__filename),
    options: {
        yes: yes_cli_input_1.yesCliInput,
        rm: alwayscli_1.createFlagInput({ description: `Remove ${constants_1.DOCKERFILE} first` }),
    },
    async action(_, { yes, rm }) {
        if (rm) {
            rimraf.sync(constants_1.DOCKERFILE);
        }
        await find_or_write_dockerfile_component_1.findOrWriteDockerfileComponent({
            yes,
        });
    },
});
const cli = alwayscli_1.createCli(leaf);
if (module === require.main) {
    alwayscli_1.runAndExit(cli, ...process.argv.slice(2));
}
//# sourceMappingURL=find-or-write-dockerfile-component.cli.js.map