"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const rimraf = require("rimraf");
const path_1 = require("path");
const find_or_write_private_key_file_component_1 = require("./find-or-write-private-key-file-component");
const yes_cli_input_1 = require("../cli-inputs/yes-cli-input");
const constants_1 = require("../constants");
const leaf = alwayscli_1.createLeaf({
    name: path_1.basename(__filename),
    options: {
        yes: yes_cli_input_1.yesCliInput,
        rm: alwayscli_1.createFlagInput({
            description: `Remove ${constants_1.PRIVATE_KEY_FILE_PRETTY_PATH} and ${constants_1.PUBLIC_KEY_FILE_PRETTY_PATH} first`,
        }),
        'rm-pub': alwayscli_1.createFlagInput({
            description: `Remove ${constants_1.PUBLIC_KEY_FILE_PRETTY_PATH} first`,
        }),
        we: alwayscli_1.createFlagInput({ description: 'Set "weAreInAppConfigure" to true' }),
    },
    async action(_, _a) {
        var { yes, we, rm } = _a, rest = __rest(_a, ["yes", "we", "rm"]);
        if (rm) {
            rimraf.sync(constants_1.PRIVATE_KEY_FILE_PATH);
            rimraf.sync(constants_1.PUBLIC_KEY_FILE_PATH);
        }
        if (rest['rm-pub']) {
            rimraf.sync(constants_1.PUBLIC_KEY_FILE_PATH);
        }
        await find_or_write_private_key_file_component_1.findOrWritePrivateKeyFileComponent({
            yes,
            weAreInAppConfigure: we,
        });
    },
});
const cli = alwayscli_1.createCli(leaf);
if (module === require.main) {
    alwayscli_1.runAndExit(cli, ...process.argv.slice(2));
}
//# sourceMappingURL=find-or-write-private-key-file-component.cli.js.map