"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const check_for_docker_component_1 = require("./check-for-docker-component");
const write_target_config_file_component_1 = require("./write-target-config-file-component");
const check_ssh_connectivity_component_1 = require("./check-ssh-connectivity-component");
const find_or_write_private_key_file_component_1 = require("./find-or-write-private-key-file-component");
const create_target_directory_component_1 = require("./create-target-directory-component");
const yes = true;
async function targetJsonYesComponent(props) {
    const { targetConfig, weAreInAppConfigure } = props;
    switch (targetConfig.targetProtocol) {
        case 'docker:':
            await check_for_docker_component_1.checkForDockerComponent();
            write_target_config_file_component_1.writeTargetConfigFileComponent(targetConfig);
            break;
        case 'ssh+docker:':
            const { targetHostname, targetPath } = targetConfig;
            await find_or_write_private_key_file_component_1.findOrWritePrivateKeyFileComponent({ yes, weAreInAppConfigure });
            await check_ssh_connectivity_component_1.checkSshConnectivityComponent({
                targetHostname,
            });
            await check_for_docker_component_1.checkForDockerComponent({ targetHostname });
            await create_target_directory_component_1.createTargetDirectoryComponent({ targetHostname, targetPath });
            await write_target_config_file_component_1.writeTargetConfigFileComponent(targetConfig);
            break;
        default:
            throw new Error('Unexpected target protocol');
    }
}
exports.targetJsonYesComponent = targetJsonYesComponent;
//# sourceMappingURL=target-json-yes-component.js.map