"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const parseJson = require("parse-json");
const coded_error_1 = require("@carnesen/coded-error");
function deserializeRpcResponse(serialized) {
    const parsed = parseJson(serialized);
    if (typeof parsed !== 'object') {
        throw new Error('Expected argument to be an object');
    }
    // Return payload's "result" field if it has one
    const { result } = parsed;
    if (typeof result !== 'undefined') {
        return result;
    }
    // Payload did not have a result. Throw an error instead.
    const { message = 'no result in RPC response', code, data } = parsed;
    throw new coded_error_1.CodedError(message, code, data);
}
exports.deserializeRpcResponse = deserializeRpcResponse;
//# sourceMappingURL=deserialize-rpc-response.js.map