"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const app_config_file_1 = require("../../util/app-config-file");
const app_installer_1 = require("../../app-installer");
const child_process_1 = require("child_process");
exports.appUnderscoreStartCliLeaf = alwayscli_1.createLeaf({
    name: '_start',
    hidden: true,
    description: 'Run this application\'s "start" script',
    action() {
        const appConfig = app_config_file_1.appConfigFile.read();
        const script = appConfig.scripts && appConfig.scripts.start;
        if (!script) {
            throw new alwayscli_1.TerseError('This application does not define a "start" script');
        }
        child_process_1.execSync(`. ${app_installer_1.ACTIVATE} && ${script}`, {
            stdio: 'inherit',
        });
    },
});
//# sourceMappingURL=_start.js.map