"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const target_config_file_1 = require("../../util/target-config-file");
exports.appExecCliLeaf = alwayscli_1.createLeaf({
    name: 'exec',
    description: 'Run a command in the target directory',
    options: {
        superuser: alwayscli_1.createFlagInput({ description: 'Run the command as superuser "root"' }),
        'no-container': alwayscli_1.createFlagInput({
            description: 'Run the command directly on the target host, not in a container',
        }),
    },
    args: alwayscli_1.createStringArrayInput({
        placeholder: '<command> [<args>]',
        required: true,
    }),
    async action([exe, ...args], opts) {
        if (opts['no-container']) {
            if (opts.superuser) {
                throw new alwayscli_1.TerseError('--superuser is not yet supported with --no-container');
            }
            target_config_file_1.targetConfigFile.readHostSpawner().runForegroundSync({ exe, args, cwd: '.' });
        }
        else {
            target_config_file_1.targetConfigFile
                .readContainerSpawner()
                .runForegroundSync({ exe, args, cwd: '.', superuser: opts.superuser });
        }
    },
});
//# sourceMappingURL=exec.js.map