"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
const app_config_file_1 = require("../../../util/app-config-file");
const model_ids_cli_input_1 = require("../../../cli-inputs/model-ids-cli-input");
const logSymbols = require("log-symbols");
const echo_1 = require("../../../util/echo");
exports.removeModels = alwayscli_1.createLeaf({
    name: 'remove',
    description: `Remove model(s) from this application`,
    options: {},
    args: model_ids_cli_input_1.modelIdsCliInput,
    async action(ids) {
        app_config_file_1.appConfigFile.read();
        for (const id of ids) {
            app_config_file_1.appConfigFile.removeModel(id);
            echo_1.echo(`${logSymbols.success} Remove ${id}`);
        }
    },
});
//# sourceMappingURL=remove.js.map