export declare const MODEL_CONFIG_FILE_NAME = "alwaysai.model.json";
export declare function ModelConfigFile(dir?: string): {
    path: string;
    read: () => {
        accuracy: string;
        description: string;
        id: string;
        inference_time: number | null;
        license: string;
        mean_average_precision_top_1: number | null;
        mean_average_precision_top_5: number | null;
        model_parameters: any;
        public: boolean;
        website_url: string;
    };
    readIfExists: () => {
        accuracy: string;
        description: string;
        id: string;
        inference_time: number | null;
        license: string;
        mean_average_precision_top_1: number | null;
        mean_average_precision_top_5: number | null;
        model_parameters: any;
        public: boolean;
        website_url: string;
    } | undefined;
    readRaw: () => string;
    readParsed: () => any;
    write: (config: {
        accuracy: string;
        description: string;
        id: string;
        inference_time: number | null;
        license: string;
        mean_average_precision_top_1: number | null;
        mean_average_precision_top_5: number | null;
        model_parameters: any;
        public: boolean;
        website_url: string;
    }) => {
        serialized: string;
        changed: boolean;
    };
    writeRaw: (serialized: string) => {
        changed: boolean;
    };
    remove: () => {
        changed: boolean;
    };
    update: (updater: (config: {
        accuracy: string;
        description: string;
        id: string;
        inference_time: number | null;
        license: string;
        mean_average_precision_top_1: number | null;
        mean_average_precision_top_5: number | null;
        model_parameters: any;
        public: boolean;
        website_url: string;
    }) => void) => {
        serialized: string;
        changed: boolean;
    };
    exists: () => boolean;
    initialize: () => void;
};
export declare const modelConfigFile: {
    path: string;
    read: () => {
        accuracy: string;
        description: string;
        id: string;
        inference_time: number | null;
        license: string;
        mean_average_precision_top_1: number | null;
        mean_average_precision_top_5: number | null;
        model_parameters: any;
        public: boolean;
        website_url: string;
    };
    readIfExists: () => {
        accuracy: string;
        description: string;
        id: string;
        inference_time: number | null;
        license: string;
        mean_average_precision_top_1: number | null;
        mean_average_precision_top_5: number | null;
        model_parameters: any;
        public: boolean;
        website_url: string;
    } | undefined;
    readRaw: () => string;
    readParsed: () => any;
    write: (config: {
        accuracy: string;
        description: string;
        id: string;
        inference_time: number | null;
        license: string;
        mean_average_precision_top_1: number | null;
        mean_average_precision_top_5: number | null;
        model_parameters: any;
        public: boolean;
        website_url: string;
    }) => {
        serialized: string;
        changed: boolean;
    };
    writeRaw: (serialized: string) => {
        changed: boolean;
    };
    remove: () => {
        changed: boolean;
    };
    update: (updater: (config: {
        accuracy: string;
        description: string;
        id: string;
        inference_time: number | null;
        license: string;
        mean_average_precision_top_1: number | null;
        mean_average_precision_top_5: number | null;
        model_parameters: any;
        public: boolean;
        website_url: string;
    }) => void) => {
        serialized: string;
        changed: boolean;
    };
    exists: () => boolean;
    initialize: () => void;
};
//# sourceMappingURL=model-config-file.d.ts.map