import * as t from 'io-ts';
declare const codec: t.PartialC<{
    models: t.RecordC<t.StringC, t.AnyC>;
    scripts: t.RecordC<t.StringC, t.StringC>;
}>;
export declare type AppConfig = t.TypeOf<typeof codec>;
export declare function AppConfigFile(dir?: string): {
    name: string;
    addModel(id: string, version: number): {
        serialized: string;
        changed: boolean;
    };
    removeModel(id: string): {
        serialized: string;
        changed: boolean;
    };
    describeModels(): string;
    describeScripts(): string;
    path: string;
    read: () => {
        models?: {
            [x: string]: any;
        } | undefined;
        scripts?: {
            [x: string]: string;
        } | undefined;
    };
    readIfExists: () => {
        models?: {
            [x: string]: any;
        } | undefined;
        scripts?: {
            [x: string]: string;
        } | undefined;
    } | undefined;
    readRaw: () => string;
    readParsed: () => any;
    write: (config: {
        models?: {
            [x: string]: any;
        } | undefined;
        scripts?: {
            [x: string]: string;
        } | undefined;
    }) => {
        serialized: string;
        changed: boolean;
    };
    writeRaw: (serialized: string) => {
        changed: boolean;
    };
    remove: () => {
        changed: boolean;
    };
    update: (updater: (config: {
        models?: {
            [x: string]: any;
        } | undefined;
        scripts?: {
            [x: string]: string;
        } | undefined;
    }) => void) => {
        serialized: string;
        changed: boolean;
    };
    exists: () => boolean;
    initialize: () => void;
};
export declare const appConfigFile: {
    name: string;
    addModel(id: string, version: number): {
        serialized: string;
        changed: boolean;
    };
    removeModel(id: string): {
        serialized: string;
        changed: boolean;
    };
    describeModels(): string;
    describeScripts(): string;
    path: string;
    read: () => {
        models?: {
            [x: string]: any;
        } | undefined;
        scripts?: {
            [x: string]: string;
        } | undefined;
    };
    readIfExists: () => {
        models?: {
            [x: string]: any;
        } | undefined;
        scripts?: {
            [x: string]: string;
        } | undefined;
    } | undefined;
    readRaw: () => string;
    readParsed: () => any;
    write: (config: {
        models?: {
            [x: string]: any;
        } | undefined;
        scripts?: {
            [x: string]: string;
        } | undefined;
    }) => {
        serialized: string;
        changed: boolean;
    };
    writeRaw: (serialized: string) => {
        changed: boolean;
    };
    remove: () => {
        changed: boolean;
    };
    update: (updater: (config: {
        models?: {
            [x: string]: any;
        } | undefined;
        scripts?: {
            [x: string]: string;
        } | undefined;
    }) => void) => {
        serialized: string;
        changed: boolean;
    };
    exists: () => boolean;
    initialize: () => void;
};
export {};
//# sourceMappingURL=app-config-file.d.ts.map