"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const get_random_string_1 = require("./get-random-string");
const fs_1 = require("fs");
const noop = (_, callback) => {
    if (callback) {
        callback();
    }
};
exports.audit = noop;
async function openAuditLog(path) {
    const uniqueId = get_random_string_1.getRandomString().padEnd(11, ' ');
    const stream = fs_1.createWriteStream(path, { flags: 'a' });
    const writeToStream = (message, callback) => {
        stream.write(`${new Date().toISOString()} ${uniqueId} ${message}\n`, callback);
    };
    await new Promise((resolve, reject) => {
        stream.on('error', err => {
            exports.audit = noop;
            reject(err);
        });
        stream.on('open', _ => {
            resolve();
        });
        writeToStream('open');
    });
    exports.audit = writeToStream;
}
exports.openAuditLog = openAuditLog;
//# sourceMappingURL=audit.js.map