"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const alwayscli_1 = require("@alwaysai/alwayscli");
exports.ModelId = {
    parse(id) {
        const errorMessage = `Expected model ID to be of the form "publisher/name"`;
        const splits = id.split('/');
        if (splits.length !== 2) {
            throw new alwayscli_1.TerseError(errorMessage);
        }
        for (const split of splits) {
            if (!split) {
                throw new alwayscli_1.TerseError(errorMessage);
            }
            // TODO: Check for valid chars
        }
        return {
            publisher: splits[0],
            name: splits[1],
        };
    },
    serialize({ publisher, name }) {
        return `${publisher}/${name}`;
    },
};
//# sourceMappingURL=model-id.js.map