"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const model_version_package_cache_write_readable_stream_1 = require("./model-version-package-cache-write-readable-stream");
const get_random_string_1 = require("./get-random-string");
const js_spawner_1 = require("../spawner/js-spawner");
const path_1 = require("path");
const tempy = require("tempy");
const model_version_package_readable_stream_from_cache_or_cloud_1 = require("./model-version-package-readable-stream-from-cache-or-cloud");
const model_version_package_readable_stream_from_cwd_1 = require("./model-version-package-readable-stream-from-cwd");
const cognito_auth_1 = require("./cognito-auth");
describe(__dirname, () => {
    it('downloads models from the cloud', () => {
        // TODO
    });
    it('reads and writes models locally', async () => {
        const id = `${get_random_string_1.getRandomString()}/${get_random_string_1.getRandomString()}`;
        const version = Math.random();
        const cwd = __dirname;
        const fromCwd = await model_version_package_readable_stream_from_cwd_1.modelVersionPackageGetReadableStreamFromCwd({ cwd });
        await model_version_package_cache_write_readable_stream_1.modelVersionPackageCacheWriteReadableStream({
            id,
            version,
            readable: fromCwd,
        });
        const target = js_spawner_1.JsSpawner({ path: tempy.directory() });
        const bearerToken = await cognito_auth_1.getBearerToken();
        if (!bearerToken) {
            throw new Error('Expected bearer token');
        }
        const fromCache = await model_version_package_readable_stream_from_cache_or_cloud_1.modelVersionPackageCacheGetReadableStream({
            id,
            version,
            bearerToken,
        });
        await target.untar(fromCache);
        const fileNames = await target.readdir();
        expect(fileNames).toEqual([path_1.basename(__dirname)]);
    });
});
//# sourceMappingURL=model-version-package-cache.test.js.map