"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const difference = require("lodash.difference");
const js_spawner_1 = require("../spawner/js-spawner");
async function modelVersionPackageGetReadableStreamFromCwd(opts = {}) {
    const cwd = path_1.resolve(opts.cwd || '');
    const dir = path_1.basename(cwd);
    const spawner = js_spawner_1.JsSpawner({ path: path_1.resolve(cwd, '..') });
    const fileNames = await spawner.readdir(dir);
    const filteredFileNames = opts.ignoredFileNames
        ? difference(fileNames, opts.ignoredFileNames)
        : fileNames;
    const paths = filteredFileNames.map(fileName => path_1.join(dir, fileName));
    const readable = await spawner.tar(...paths);
    return readable;
}
exports.modelVersionPackageGetReadableStreamFromCwd = modelVersionPackageGetReadableStreamFromCwd;
//# sourceMappingURL=model-version-package-readable-stream-from-cwd.js.map