"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
function ResolvePosixPath(from = '.') {
    return function resolvePosixPath(...paths) {
        let resolved = from;
        for (const path of paths) {
            if (path) {
                if (path_1.posix.isAbsolute(path)) {
                    resolved = path;
                }
                else {
                    resolved = path_1.posix.join(resolved, path);
                }
            }
        }
        return path_1.posix.normalize(resolved);
    };
}
exports.ResolvePosixPath = ResolvePosixPath;
//# sourceMappingURL=resolve-posix-path.js.map