import * as t from 'io-ts';
declare const targetConfigCodec: t.TaggedUnionC<"protocol", [t.TypeC<{
    targetProtocol: t.LiteralC<"docker:">;
    dockerImageId: t.StringC;
}>, t.TypeC<{
    targetProtocol: t.LiteralC<"ssh+docker:">;
    targetHostname: t.StringC;
    targetPath: t.StringC;
    dockerImageId: t.StringC;
}>]>;
export declare type TargetConfig = t.TypeOf<typeof targetConfigCodec>;
export declare const targetConfigFile: {
    readContainerSpawner: () => import("../spawner/types").Spawner;
    readHostSpawner: () => import("../spawner/types").Spawner;
    describe: () => string;
    path: string;
    read: () => {
        targetProtocol: "docker:";
        dockerImageId: string;
    } | {
        targetProtocol: "ssh+docker:";
        targetHostname: string;
        targetPath: string;
        dockerImageId: string;
    };
    readIfExists: () => {
        targetProtocol: "docker:";
        dockerImageId: string;
    } | {
        targetProtocol: "ssh+docker:";
        targetHostname: string;
        targetPath: string;
        dockerImageId: string;
    } | undefined;
    readRaw: () => string;
    readParsed: () => any;
    write: (config: {
        targetProtocol: "docker:";
        dockerImageId: string;
    } | {
        targetProtocol: "ssh+docker:";
        targetHostname: string;
        targetPath: string;
        dockerImageId: string;
    }) => {
        serialized: string;
        changed: boolean;
    };
    writeRaw: (serialized: string) => {
        changed: boolean;
    };
    remove: () => {
        changed: boolean;
    };
    update: (updater: (config: {
        targetProtocol: "docker:";
        dockerImageId: string;
    } | {
        targetProtocol: "ssh+docker:";
        targetHostname: string;
        targetPath: string;
        dockerImageId: string;
    }) => void) => {
        serialized: string;
        changed: boolean;
    };
    exists: () => boolean;
    initialize: () => void;
};
export {};
//# sourceMappingURL=target-config-file.d.ts.map